﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace XamDataChart_ShareXAxis
{
    /// <summary>
    /// Interaction logic for SecondWindow.xaml
    /// </summary>
    public partial class SecondWindow : Window
    {
        public SecondWindow()
        {
            InitializeComponent();
        	// line series 1
			LineSeries1 = new SimpleDataCollection();
			
			// line series 2
			LineSeries2 = new ObservableCollection<SimpleDataPoint>();
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(1), MyValue = 1 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(2), MyValue = 2 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(3), MyValue = 3 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(4), MyValue = 4 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(5), MyValue = 5 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(6), MyValue = 6 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(7), MyValue = 7 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(8), MyValue = 8 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(9), MyValue = 9 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(10), MyValue = 10.0 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(15), MyValue = 15.0 });
			LineSeries2.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(20), MyValue = 20.0 });
        	
			// set chart data context
        	this.xmDataChart.DataContext = this;
        }
		
		public ObservableCollection<SimpleDataPoint> LineSeries1 { get; private set; }

		public ObservableCollection<SimpleDataPoint> LineSeries2 { get; private set; }
    }

    public class SimpleDataCollection : ObservableCollection<SimpleDataPoint>
    {
        public SimpleDataCollection()
        {
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(1), MyValue = 3.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(2), MyValue = 1.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(3), MyValue = 5.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(4), MyValue = 2.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(5), MyValue = 7.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(6), MyValue = 2.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(7), MyValue = 5.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(8), MyValue = 1.0 });
            this.Add(new SimpleDataPoint() { MyDate = DateTime.Today.AddDays(9), MyValue = 3.0 });
        }
    }

    public class SimpleDataPoint
    {
        public double MyValue { get; set; }
        public DateTime MyDate { get; set; }
    }


}
